
# Hugging Face Model Tool

A CLI tool to manage your locally downloaded Hugging Face models and datasets.

## Features

*   **Beautiful & Clear Listings:** View all your assets in a clean, color-coded table.
*   **Intelligent Grouping:** Assets are grouped by type (models/datasets) and publisher.
*   **Accurate Size Calculations:** See the true disk space used by each asset, with totals for each group.
*   **Flexible Sorting:** Sort your assets by size, date, or name.
*   **Safe Deletion:** A multi-level, guided workflow for deleting assets, with confirmation steps to prevent accidents.
*   **Deduplication:** Automatically find and remove duplicate models to free up disk space.

## Installation

```bash
pip install hf-model-tool
```

## Usage

Once installed, simply run the following command in your terminal:

```bash
hf-model-tool
```

This will launch the interactive CLI, which will guide you through the available options.
